# Get all liquidation configurations

Returns all liquidation configurations.

Endpoint: GET /config/liquidation_config
Version: 4.0.0
Security: Bearer

## Query parameters:

  - `page` (integer)
    The page number for paginated results. The value is zero-based, where 0 represents the first page.
Set it to 0 to get the first page of results.

  - `size` (integer)
    Number of payments to return per page.

## Response 200 fields (application/json):

  - `first` (boolean)
    true if  this is the first page.

  - `last` (boolean)
    true if  this is the last page.

  - `number` (integer)
    page number

  - `numberOfElements` (integer)
    Number Of elements in this request

  - `size` (integer)
    page size

  - `totalElements` (integer)
    Total number of elements for the given request

  - `totalPages` (integer)
    Total number of pages for the given request

  - `sort` (array)
    Sort details of this page

  - `sort.direction` (string)
    Direction of the sort
    Example: "ASC"

  - `sort.property` (string)

  - `sort.ignoreCase` (boolean)

  - `sort.nullHandling` (string)
    Example: "NULLS_FIRST"

  - `sort.ascending` (boolean)
    Example: true

  - `sort.descending` (boolean)

  - `content` (array)

  - `content.liquidation_config_id` (string)
    The unique identifier for this Liquidation Configuration.

  - `content.name` (string)
    Display name for this Liquidaton Configuration.

  - `content.source_address` (string)
    Full RippleNet address of the source account in the form accountname@host.

  - `content.destination_address` (string)
    Full RippleNet address of the destination account in the form accountname@host.

  - `content.liquidation_mode` (string)
    Mode in which this Liquidation Configuration operates.
    Enum: "PER_PAYMENT", "SMART_LIQUIDATION_PER_PAYMENT"

  - `content.price_guarantee` (string)
    Price guarantee for the Liquidation quote.
    Enum: "FIRM", "INDICATIVE"

  - `content.liquidation_type` (string)
    Indicates the amount the liquidation is based on
    Enum: "SENDER", "RECEIVER", "XRP"

## Response 400 fields (application/json):

  - `type` (string)
    URL to the error documentation.
    Example: "https://errors.ripplenet.ripple.com/error/json-processing-error"

  - `title` (string)
    Summary of the returned problem.
    Example: "Invalid Request Object"

  - `detail` (string)
    Description of the returned problem.
    Example: "The request parameter [account_id] is not in the correct format."

  - `status` (number)
    HTTP error code.
    Example: 400

  - `ripplenet_error_code` (string)
    RippleNet specific error code.
    Example: "E0104"

  - `finality` (string)
    Specifies if the request can be retried for a successful response.
    Example: "PERMANENT"


